
D4Science Infrastructure - Task #6306

Task # 6309 (Closed): D4Science Infrastructure migration to Java 8

Migrate development infrastructure nodes to Java 8

Jan 09, 2017 03:16 PM - Massimiliano Assante

Status: Closed Start date: May 09, 2017

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Migrating to Java 8   

Infrastructure: Development   

Description

This is a master ticket to track the development infrastructure nodes migration to Java 8.

The development infrastructure nodes should be migrated to Java 8 within the end of this month.

Subtasks:

Task # 8380: Testing  activities on the development infrastructure with Java 8 Closed

  Task # 8424: Dataminer service to test : dataminer1-d-d4s.d4science.org. Closed

  Task # 8426: Dataminer service to test : dataminer2-d-d4s.d4science.org Closed

  Task # 8427: Quota service to test : quota-d-d4s.d4science.org Closed

  Task # 8428: Accounting service to test: accounting-service-d.d4science.org Closed

  Task # 8429: social-networking-ws service to test : socialnetworking-d-d4s.d4science.org Closed

  Task # 8430: gcube-oauth service to test : socialnetworking-d-d4s.d4science.org Closed

  Task # 8431: resource-checker-se-plugin service to test : resource-checker-d-d4s.d4scie... Closed

  Task # 8433: social-data-indexer-se-plugin service to test : node22.d4science.org Closed

  Task # 8434: tabular-data-manager service to test : tabulardata-devsec.org Closed

  Task # 8435: tabular-data-manager service to update : gcube@node7.d.d4science.research-... Closed

  Task # 8438: species-product-discovery to test : spd-devsec.d4science.org Closed

  Task # 8439: ckan-connector  to test : ckan-d-d4s.d4science.org Closed

  Task # 8440: RConnector  to test : rstudio-dev.d4science.org Closed

  Task # 8443: Home Library Webapp  to test :  node11.d.d4science.research-infrastructure... Closed

  Task # 8444: sdi-service  to test : sdi-d-d4s.d4science.org Closed

  Task # 8445: FHNManager Service  to test :  node2-d-d4s.d4science.org Closed

  Task # 8446: DataManager Pool Manager Service  to test :  node2-d-d4s.d4science.org Closed

  Task # 8449: Resource Registry (New IS)  to test :  resourceregistry1-d.d4science.org Closed

  Task # 8451: Smart Executor  to test :  smartexecutor1-d-d4s.d4science.org Closed

  Task # 8452: Smart Executor  to test :  node6.d4science.org Closed

  Task # 8453: Smart Executor  to test :  node17.d4science.org Closed

  Task # 8454: Smart Executor  to test :  node19.d4science.org Closed

  Task # 8455: Smart Executor  to update :  node22.d4science.org Rejected

  Task # 8660: tabular-data-manager service to test : tabulardata-devnext-d.dev.d4science... Closed

  Task # 8675: Authorization service to test: auth-d.dev.d4science.org Closed

Related issues:

Related to D4Science Infrastructure - Task #7442: Recreate node22.d4science.o... Closed Mar 08, 2017

Related to D4Science Infrastructure - Task #7445: Recreate node19.d4science.o... Closed Mar 08, 2017

Related to D4Science Infrastructure - Task #7446: Recreate node17.d4science.o... Closed Mar 08, 2017

Related to D4Science Infrastructure - Task #7447: Recreate node6.d4science.or... Closed Mar 08, 2017

Related to D4Science Infrastructure - Task #8327: Upgrade JAVA Version on pre... Closed May 03, 2017 May 05, 2017

Related to D4Science Infrastructure - Incident #9679: TabularData: Tomcat fai... Closed Sep 13, 2017

Blocks D4Science Infrastructure - Task #6312: Java 8 unexpected behaviours sh... Closed Jan 09, 2017 Jan 20, 2017

Blocked by D4Science Infrastructure - Task #6329: migrate old ghn dev (ubuntu... Closed Jan 12, 2017 Feb 17, 2017
History

#1 - Jan 09, 2017 03:21 PM - Massimiliano Assante

- Description updated

#2 - Jan 09, 2017 03:25 PM - Massimiliano Assante

- Priority changed from Normal to High

#3 - Jan 09, 2017 03:40 PM - Massimiliano Assante

- Parent task set to #6309

#4 - Jan 09, 2017 03:47 PM - Massimiliano Assante

- Blocks Task #6312: Java 8 unexpected behaviours should be communicated by the gCube VRE Social Facility added

#5 - Jan 16, 2017 08:16 PM - Andrea Dell'Amico

- Status changed from New to In Progress

I just set Java 8 as the default JVM for all the development servers managed by ansible. A new provisioning run is needed to install the new packages

and reconfigure the services. On the smartgears-based nodes this can be done running the playbook(s) with the tags: jdk,tomcat

#6 - Jan 23, 2017 12:16 PM - Tommaso Piccioli

- % Done changed from 0 to 10

node26.d.d4science.research-infrastructures.eu migrated (no java app running on this host)

node24.d.d4science.research-infrastructures.eu migrated (smartgears or ghn was not running on this host, only postgresql)

node27.d.d4science.research-infrastructures.eu migrated (old smartgears tomcat restarted with java8)

...

#7 - Jan 23, 2017 12:38 PM - Roberto Cirillo

I've checked the container hosted on "node27.d.d4science.research-infrastructures.eu": now, it is correctly registered to the infrastructure after the

restart

#8 - Jan 23, 2017 12:46 PM - Tommaso Piccioli

- Blocked by Task #6329: migrate old ghn dev (ubuntu 8.04) to new hosts added

#9 - Jan 23, 2017 12:47 PM - Tommaso Piccioli

- Blocked by Task #6501: migrate old dev (ubuntu 9) to new hosts added

#10 - Jan 23, 2017 02:57 PM - Roberto Cirillo

I've found an exception after the migration of IS-Collector from java 7 to java8.

The following exception seems to be related to an incompatibility between java8 and the  XercesImpl library (dependency of IS-Collector service).

java.lang.RuntimeException: could not load authorization endpoints

        at org.gcube.common.authorization.library.enpoints.AuthorizationEndpointScanner.endpoints(Authorizatio

nEndpointScanner.java:75)

        at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.<init>(DefaultAuthorizationPr

oxy.java:47)

        at org.gcube.common.authorization.client.Constants.authorizationService(Constants.java:22)

        at org.gcube.common.handlers.GCUBEHandler.retrieveTokenInfo(GCUBEHandler.java:221)

        at org.gcube.common.handlers.GCUBEHandler.invoke(GCUBEHandler.java:165)

        at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)

        at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)

        at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)

        at org.apache.axis.server.AxisServer.invoke(AxisServer.java:248)

        at org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:664)

        at org.globus.wsrf.container.ServiceThread.process(ServiceThread.java:382)

        at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:291)

Caused by: java.lang.IllegalStateException: org.xml.sax.SAXNotRecognizedException: Feature 'http://javax.xml.X

MLConstants/feature/secure-processing' is not recognized.

        at com.sun.xml.internal.bind.v2.util.XmlFactory.createParserFactory(XmlFactory.java:128)

        at com.sun.xml.internal.bind.v2.runtime.unmarshaller.UnmarshallerImpl.getXMLReader(UnmarshallerImpl.ja

va:139)

        at javax.xml.bind.helpers.AbstractUnmarshallerImpl.unmarshal(AbstractUnmarshallerImpl.java:157)
        at javax.xml.bind.helpers.AbstractUnmarshallerImpl.unmarshal(AbstractUnmarshallerImpl.java:162)

        at javax.xml.bind.helpers.AbstractUnmarshallerImpl.unmarshal(AbstractUnmarshallerImpl.java:171)

        at org.gcube.common.authorization.library.enpoints.AuthorizationEndpointScanner.endpoints(Authorizatio

nEndpointScanner.java:53)

        ... 11 more

Caused by: org.xml.sax.SAXNotRecognizedException: Feature 'http://javax.xml.XMLConstants/feature/secure-proces

sing' is not recognized.

        at org.apache.xerces.parsers.AbstractSAXParser.setFeature(Unknown Source)

        at org.apache.xerces.jaxp.SAXParserImpl.setFeatures(Unknown Source)

        at org.apache.xerces.jaxp.SAXParserImpl.<init>(Unknown Source)

        at org.apache.xerces.jaxp.SAXParserFactoryImpl.newSAXParserImpl(Unknown Source)

        at org.apache.xerces.jaxp.SAXParserFactoryImpl.setFeature(Unknown Source)

        at com.sun.xml.internal.bind.v2.util.XmlFactory.createParserFactory(XmlFactory.java:121)

        ... 16 more

 it needs further analysis.

#11 - Jan 23, 2017 04:05 PM - Tommaso Piccioli

obis2.i-marine.research-infrastructures.eu alias geoserver-dev2.d4science-ii.research-infrastructures.eu migrated (no java app running on this host,

only postgresql)

dev.d4science.org migrated (no java app running on this host, only postgresql)

...

#12 - Jan 23, 2017 04:42 PM - Tommaso Piccioli

Problems with java8 on node6.d4science.org too:

...

[PUBLISHER] 16:28:09,382 ERROR startup.ContextConfig [localhost-startStop-1,processAnnotationsJar:1937] Unable

 to process Jar entry [javassist/util/proxy/SerializedProxy.class] from Jar [jar:file:/home/gcube/tomcat/webap

ps/smart-executor/WEB-INF/lib/javassist-3.19.0-GA.jar!/] for annotations

java.io.EOFException

    at java.io.DataInputStream.readUnsignedShort(DataInputStream.java:340)

    at org.apache.tomcat.util.bcel.classfile.Utility.swallowMethodParameters(Utility.java:797)

    at org.apache.tomcat.util.bcel.classfile.Attribute.readAttribute(Attribute.java:171)

    at org.apache.tomcat.util.bcel.classfile.FieldOrMethod.<init>(FieldOrMethod.java:57)

    at org.apache.tomcat.util.bcel.classfile.Method.<init>(Method.java:71)

    at org.apache.tomcat.util.bcel.classfile.ClassParser.readMethods(ClassParser.java:267)

    at org.apache.tomcat.util.bcel.classfile.ClassParser.parse(ClassParser.java:127)

    at org.apache.catalina.startup.ContextConfig.processAnnotationsStream(ContextConfig.java:2058)

    at org.apache.catalina.startup.ContextConfig.processAnnotationsJar(ContextConfig.java:1934)

    at org.apache.catalina.startup.ContextConfig.processAnnotationsUrl(ContextConfig.java:1900)

    at org.apache.catalina.startup.ContextConfig.processAnnotations(ContextConfig.java:1885)

    at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1317)

    at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:876)

    at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:374)

    at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:117)

    at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90)

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5378)

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:649)

    at org.apache.catalina.startup.HostConfig.deployDirectory(HostConfig.java:1247)

    at org.apache.catalina.startup.HostConfig$DeployDirectory.run(HostConfig.java:1898)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

    at java.util.concurrent.FutureTask.run(FutureTask.java:262)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at java.lang.Thread.run(Thread.java:745)

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.transport.http.servlet.WSServletContextListener contextInitialized

INFO: WSSERVLET12: JAX-WS context listener initializing

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getRequestWrapperClass

INFO: Dynamically creating request wrapper Class org.gcube.vremanagement.executor.api.jaxws.GetIterationState

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getResponseWrapperClass

INFO: Dynamically creating response wrapper bean Class org.gcube.vremanagement.executor.api.jaxws.GetIteration

StateResponse

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getRequestWrapperClass

INFO: Dynamically creating request wrapper Class org.gcube.vremanagement.executor.api.jaxws.GetStateEvolution

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getResponseWrapperClass

INFO: Dynamically creating response wrapper bean Class org.gcube.vremanagement.executor.api.jaxws.GetStateEvol

utionResponse

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getRequestWrapperClass

INFO: Dynamically creating request wrapper Class org.gcube.vremanagement.executor.api.jaxws.GetIterationStateE
volution

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getResponseWrapperClass

INFO: Dynamically creating response wrapper bean Class org.gcube.vremanagement.executor.api.jaxws.GetIteration

StateEvolutionResponse

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getRequestWrapperClass

INFO: Dynamically creating request wrapper Class org.gcube.vremanagement.executor.api.jaxws.UnSchedule

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getResponseWrapperClass

INFO: Dynamically creating response wrapper bean Class org.gcube.vremanagement.executor.api.jaxws.UnScheduleRe

sponse

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getRequestWrapperClass

INFO: Dynamically creating request wrapper Class org.gcube.vremanagement.executor.api.jaxws.Launch

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getResponseWrapperClass

INFO: Dynamically creating response wrapper bean Class org.gcube.vremanagement.executor.api.jaxws.LaunchRespon

se

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getRequestWrapperClass

INFO: Dynamically creating request wrapper Class org.gcube.vremanagement.executor.api.jaxws.GetState

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getResponseWrapperClass

INFO: Dynamically creating response wrapper bean Class org.gcube.vremanagement.executor.api.jaxws.GetStateResp

onse

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getRequestWrapperClass

INFO: Dynamically creating request wrapper Class org.gcube.vremanagement.executor.api.jaxws.Stop

Jan 23, 2017 4:28:12 PM com.sun.xml.ws.model.RuntimeModeler getResponseWrapperClass

INFO: Dynamically creating response wrapper bean Class org.gcube.vremanagement.executor.api.jaxws.StopResponse

Jan 23, 2017 4:28:13 PM com.sun.xml.ws.transport.http.servlet.WSServletDelegate <init>

INFO: WSSERVLET14: JAX-WS servlet initializing

[PUBLISHER] 16:28:17,706 FATAL jasper.EmbeddedServletOptions [localhost-startStop-1,<init>:658] The scratchDir

 you specified: /home/gcube/tomcat/work/Catalina/localhost/smart-executor is unusable.

#13 - Jan 23, 2017 06:17 PM - Tommaso Piccioli

there was a problem with some file access rights on node6, now solved.

At the moment this is the only problem in catalina.out:

...

[PUBLISHER] 18:07:28,086 ERROR startup.ContextConfig [localhost-startStop-1,processAnnotationsJar:1937] Unable

 to process Jar entry [javassist/util/proxy/SerializedProxy.class] from Jar [jar:file:/home/gcube/tomcat/webap

ps/smart-executor/WEB-INF/lib/javassist-3.19.0-GA.jar!/] for annotations

#14 - Jan 23, 2017 06:32 PM - Andrea Dell'Amico

Tommaso Piccioli wrote:

there was a problem with some file access rights on node6, now solved.

At the moment this is the only problem in catalina.out:

...

[PUBLISHER] 18:07:28,086 ERROR startup.ContextConfig [localhost-startStop-1,processAnnotationsJar:1937] Un

able to process Jar entry [javassist/util/proxy/SerializedProxy.class] from Jar [jar:file:/home/gcube/tomc

at/webapps/smart-executor/WEB-INF/lib/javassist-3.19.0-GA.jar!/] for annotations

 

We have these errors since before the upgrade, see  #2472

#15 - Jan 23, 2017 06:50 PM - Roberto Cirillo

I see again the following exception in ghn.log and the container is not correctly published on the infrastructure:

Caused by: java.lang.IllegalStateException: org.xml.sax.SAXNotRecognizedException: Feature 'http://javax.xml.X

MLConstants/feature/secure-processing' is not recognized.

        at com.sun.xml.internal.bind.v2.util.XmlFactory.createParserFactory(XmlFactory.java:128)

        at com.sun.xml.internal.bind.v2.runtime.unmarshaller.UnmarshallerImpl.getXMLReader(UnmarshallerImpl.ja

va:139)

        at javax.xml.bind.helpers.AbstractUnmarshallerImpl.unmarshal(AbstractUnmarshallerImpl.java:157)

        at javax.xml.bind.helpers.AbstractUnmarshallerImpl.unmarshal(AbstractUnmarshallerImpl.java:162)

        at javax.xml.bind.helpers.AbstractUnmarshallerImpl.unmarshal(AbstractUnmarshallerImpl.java:171)

        at org.gcube.common.authorization.library.enpoints.AuthorizationEndpointScanner.endpoints(Authorizatio

nEndpointScanner.java:53)

        ... 11 more

#16 - Jan 23, 2017 07:11 PM - Roberto Cirillo

could you upgrade the tomcat version to 7.0.72 on node6.d4science.org? Maybe the problem is due to tomcat version

#17 - Jan 23, 2017 07:23 PM - Andrea Dell'Amico
Roberto Cirillo wrote:

could you upgrade the tomcat version to 7.0.72 on node6.d4science.org? Maybe the problem is due to tomcat version

 I don't know of any incompatibility between java 8 and our tomcat packages.

tomcat on node6 is still running with java 7, btw:

gcube    21237  3.2 22.0 3581640 675836 ?      Sl   19:03   0:35 /usr/lib/jvm/java-7-oracle/bin/java -Dnop

-Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -XX:+UseConcMarkSweepGC -XX:MaxPermSize=256m -server

-Djava.awt.headless=true -Xms2048m -Xmx2048m -Djava.endorsed.dirs=/usr/share/tomcat7/endorsed -classpath

/usr/share/tomcat7/bin/bootstrap.jar:/usr/share/tomcat7/bin/tomcat-juli.jar -Dcatalina.base=/home/gcube/tomcat -Dcatalina.home=/usr/share/tomcat7

-Djava.io.tmpdir=/home/gcube/tomcat/tmp org.apache.catalina.startup.Bootstrap start

Was the playbook run without passing the 'tomcat' tag?

#18 - Jan 24, 2017 09:37 AM - Roberto Cirillo

Andrea Dell'Amico wrote:

Roberto Cirillo wrote:

could you upgrade the tomcat version to 7.0.72 on node6.d4science.org? Maybe the problem is due to tomcat version

 I don't know of any incompatibility between java 8 and our tomcat packages.

 @lucio.lelii@isti.cnr.it please, could you provide the details of incompatibility between Xerces library and tomcat/java8 ?

tomcat on node6 is still running with java 7, btw:

gcube    21237  3.2 22.0 3581640 675836 ?      Sl   19:03   0:35 /usr/lib/jvm/java-7-oracle/bin/java -Dnop

-Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -XX:+UseConcMarkSweepGC -XX:MaxPermSize=256m -server

-Djava.awt.headless=true -Xms2048m -Xmx2048m -Djava.endorsed.dirs=/usr/share/tomcat7/endorsed -classpath

/usr/share/tomcat7/bin/bootstrap.jar:/usr/share/tomcat7/bin/tomcat-juli.jar -Dcatalina.base=/home/gcube/tomcat

-Dcatalina.home=/usr/share/tomcat7 -Djava.io.tmpdir=/home/gcube/tomcat/tmp org.apache.catalina.startup.Bootstrap start

Was the playbook run without passing the 'tomcat' tag?

 @tommaso.piccioli@isti.cnr.it please could you enable java8 on tomcat in the right way?

#19 - Jan 24, 2017 10:08 AM - Tommaso Piccioli

Now tomcat is running with java8

gcube    24074     1 16 10:02 ?        00:00:51 /usr/lib/jvm/java-8-oracle/bin/java -Dnop

-Djava.util.logging.manager=org.apache.juli.ClassLoaderLogManager -XX:+UseConcMarkSweepGC -server -Djava.awt.headless=true -Xms2048m

-Xmx2048m -Djava.endorsed.dirs=/usr/share/tomcat7/endorsed -classpath /usr/share/tomcat7/bin/bootstrap.jar:/usr/share/tomcat7/bin/tomcat-juli.jar

-Dcatalina.base=/home/gcube/tomcat -Dcatalina.home=/usr/share/tomcat7 -Djava.io.tmpdir=/home/gcube/tomcat/tmp

org.apache.catalina.startup.Bootstrap start

#20 - Jan 24, 2017 10:53 AM - Lucio Lelii

there is an issue with javaassist and java8 in tomcat with version 7.0.55, this is the link i have found : 

https://github.com/jboss-javassist/javassist/issues/29.

We have to update the tomcat to the latest version.

#21 - Jan 24, 2017 11:15 AM - Andrea Dell'Amico

Lucio Lelii wrote:

there is an issue with javaassist and java8 in tomcat with version 7.0.55, this is the link i have found : 

https://github.com/jboss-javassist/javassist/issues/29.

We have to update the tomcat to the latest version.

 Moving to the latest tomcat version is not so easy. We want to stuck with the distribution provided tomcat for a lot of reasons: 

backport of bug and security fixes

compatibility with the apr libraries

In addition to that, the javassist exceptions were a cosmetic only problem in the past, and an upgrade to a newer version of javassist was planned.

#2472
#22 - Jan 24, 2017 06:14 PM - Andrea Dell'Amico

- % Done changed from 10 to 20

What we found after further investigation:

gCore

Updating the xerces and xml-api libraries is sufficient to make the gCore services working

smartgears

the javassist and xml parsing problems do not manifest themselves on the Ubuntu 14.04 servers. So #2472 is not so largely present anymore

because all the new servers are 14.04 based

the tomcat version doesn't make a difference: on ubuntu 14.04 we are running an older version that the one that's running on 12.04 (we had to

compile and provide an internally build tomcat package because the original tomcat package from 12.04 does not work with smartgears at all)

So the proposal is: upgrade to 14.04 all the dev smartgears. The same will be needed on the production servers when we will introduce java8 there.

#23 - Feb 14, 2017 03:05 PM - Maria Di Girolamo

Because during the release 4.3.0 all components should be migrated to Java8, it's important to understand if the migration to the developments nodes

can be considered closed (please, update the ticket) .

We are starting with the writing of the documentation (https://wiki.gcube-system.org/gcube/GCube_Java_8_migration_guide) about this activity.

#24 - Feb 15, 2017 10:56 AM - Massimiliano Assante

- Priority changed from High to Urgent

@roberto.cirillo@isti.cnr.it can you provide as with the status of the migration of the dev infra, are we really at 20% ? I don't think so.

#25 - Feb 16, 2017 10:29 AM - Roberto Cirillo

This question should be asked to @tommaso.piccioli@isti.cnr.it 

#26 - Feb 16, 2017 01:02 PM - Tommaso Piccioli

- % Done changed from 20 to 40

#27 - Feb 16, 2017 05:35 PM - Roberto Cirillo

we have found another issue on registry service (node9-d-d4s): after the replacing of Xerces and xml-api libraries, the gCore container doesn't start

with the following exception:

2017-02-16 17:20:20,037 FATAL contexts.GHNContext [Initialiser,fatal:76] [0.663s] GHNContext: gHN could not co

mplete initialisation

java.lang.NoSuchMethodError: org.apache.xerces.impl.xs.XMLSchemaLoader.loadGrammar([Lorg/apache/xerces/xni/par

ser/XMLInputSource;)V

        at org.apache.xerces.jaxp.validation.XMLSchemaFactory.newSchema(Unknown Source)

        at javax.xml.validation.SchemaFactory.newSchema(SchemaFactory.java:638)

        at org.gcube.common.resources.kxml.KGCUBEResource.getSchema(KGCUBEResource.java:170)

        at org.gcube.common.resources.kxml.KGCUBEResource.load(KGCUBEResource.java:80)

        at org.gcube.common.resources.kxml.node.KGCUBEHostingNode.load(KGCUBEHostingNode.java:18)

        at org.gcube.common.core.contexts.GHNContext.loadGHNResource(GHNContext.java:405)

        at org.gcube.common.core.contexts.GHNContext.configureGHNResource(GHNContext.java:384)

        at org.gcube.common.core.contexts.GHNContext.initialise(GHNContext.java:291)

        at org.gcube.common.core.contexts.GHNContext.<clinit>(GHNContext.java:261)

        at org.gcube.common.core.contexts.GCUBEServiceContext$Initialiser.onRIDeployed(GCUBEServiceContext.jav

a:677)

        at org.gcube.common.core.contexts.service.Consumer.onEvent(Consumer.java:30)

        at org.gcube.common.core.utils.events.GCUBEProducer$2.run(GCUBEProducer.java:176)

 we are investigating on this issue

#28 - Mar 08, 2017 12:40 PM - Luca Frosini

Me and @costantino.perciante@isti.cnr.it experienced the javaassit issue on a smart-executor node (node22.d4science.org a development machine).

Giving that the tomcat on the machine cannot be upgraded and we urge to use it, the only way to solve it for the moment was to use

smartgears-distribution-bundle which already provide apache-tomcat-7.0.73.

#29 - Mar 08, 2017 02:15 PM - Andrea Dell'Amico

Luca Frosini wrote:
Me and @costantino.perciante@isti.cnr.it experienced the javaassit issue on a smart-executor node (node22.d4science.org a development

machine).

Giving that the tomcat on the machine cannot be upgraded and we urge to use it, the only way to solve it for the moment was to use

smartgears-distribution-bundle which already provide apache-tomcat-7.0.73.

 As was stated more than once, the problem afflitcs Ubuntu installations < 14.04. The solution is to get rid of the older Ubuntu installations.

#30 - Mar 08, 2017 03:00 PM - Costantino Perciante

- Related to Task #7442: Recreate node22.d4science.org machine with ubuntu 14.04 added

#31 - Mar 08, 2017 04:27 PM - Luca Frosini

- Related to Task #7445: Recreate node19.d4science.org machine with ubuntu 14.04 added

#32 - Mar 08, 2017 04:27 PM - Luca Frosini

- Related to Task #7446: Recreate node17.d4science.org machine with ubuntu 14.04 added

#33 - Mar 08, 2017 04:28 PM - Luca Frosini

- Related to Task #7447: Recreate node6.d4science.org machine with ubuntu 14.04 added

#34 - May 03, 2017 03:27 PM - Massimiliano Assante

- Related to Task #8327: Upgrade JAVA Version on preprod1.d4science.org and preprod2d4science.org nodes added

#35 - May 09, 2017 10:26 AM - Maria Di Girolamo

- Due date set to May 09, 2017

- Start date changed from May 05, 2017 to May 09, 2017

due to changes in a related task

#36 - May 12, 2017 05:51 PM - Roberto Cirillo

- Due date set to May 09, 2017

due to changes in a related task

#37 - Sep 13, 2017 02:33 PM - Roberto Cirillo

- Related to Incident #9679: TabularData: Tomcat fails to start added

#38 - Oct 10, 2017 10:56 AM - Maria Di Girolamo

- Status changed from In Progress to Feedback

Is it possible to close this task?

Thank you,

Maria.

#39 - Oct 10, 2017 01:59 PM - Roberto Cirillo

- Blocked by deleted (Task #6501: migrate old dev (ubuntu 9) to new hosts)

#40 - Oct 10, 2017 02:08 PM - Roberto Cirillo

- Status changed from Feedback to Closed

I'm going to close this ticket. 

Some notes:

All the gCore based container will be not upgraded to Java8;

the problem on Smartgears containers has been solved upgrading the Ubuntu distro to version 14.04 and tomcat to version > 7.0.55
